<back to all web services

SaveConfigurationMessage

The following routes are available for this service:
All Verbs/RestApi/Sitefinity/Analytics/SaveConfiguration
import java.math.*;
import java.util.*;
import net.servicestack.client.*;

public class dtos
{

    public static class SaveConfigurationMessage
    {
        public String AccountName = null;
        public String AccountId = null;
        public String TrackedDomain = null;
        public String ProfileId = null;
        public UUID SiteId = null;
        public String WebPropertyId = null;
        public String ClientId = null;
        public String ClientSecret = null;
        public Boolean UseEquals = null;
        public Boolean PrependHost = null;
        
        public String getAccountName() { return AccountName; }
        public SaveConfigurationMessage setAccountName(String value) { this.AccountName = value; return this; }
        public String getAccountId() { return AccountId; }
        public SaveConfigurationMessage setAccountId(String value) { this.AccountId = value; return this; }
        public String getTrackedDomain() { return TrackedDomain; }
        public SaveConfigurationMessage setTrackedDomain(String value) { this.TrackedDomain = value; return this; }
        public String getProfileId() { return ProfileId; }
        public SaveConfigurationMessage setProfileId(String value) { this.ProfileId = value; return this; }
        public UUID getSiteId() { return SiteId; }
        public SaveConfigurationMessage setSiteId(UUID value) { this.SiteId = value; return this; }
        public String getWebPropertyId() { return WebPropertyId; }
        public SaveConfigurationMessage setWebPropertyId(String value) { this.WebPropertyId = value; return this; }
        public String getClientId() { return ClientId; }
        public SaveConfigurationMessage setClientId(String value) { this.ClientId = value; return this; }
        public String getClientSecret() { return ClientSecret; }
        public SaveConfigurationMessage setClientSecret(String value) { this.ClientSecret = value; return this; }
        public Boolean isUseEquals() { return UseEquals; }
        public SaveConfigurationMessage setUseEquals(Boolean value) { this.UseEquals = value; return this; }
        public Boolean isPrependHost() { return PrependHost; }
        public SaveConfigurationMessage setPrependHost(Boolean value) { this.PrependHost = value; return this; }
    }

    public static class SaveConfigurationData
    {
        public String TrackingCode = null;
        public String ClientId = null;
        public String ClientSecret = null;
        public String SelectedAccount = null;
        public String TrackedDomain = null;
        public String SelectedProfileId = null;
        
        public String getTrackingCode() { return TrackingCode; }
        public SaveConfigurationData setTrackingCode(String value) { this.TrackingCode = value; return this; }
        public String getClientId() { return ClientId; }
        public SaveConfigurationData setClientId(String value) { this.ClientId = value; return this; }
        public String getClientSecret() { return ClientSecret; }
        public SaveConfigurationData setClientSecret(String value) { this.ClientSecret = value; return this; }
        public String getSelectedAccount() { return SelectedAccount; }
        public SaveConfigurationData setSelectedAccount(String value) { this.SelectedAccount = value; return this; }
        public String getTrackedDomain() { return TrackedDomain; }
        public SaveConfigurationData setTrackedDomain(String value) { this.TrackedDomain = value; return this; }
        public String getSelectedProfileId() { return SelectedProfileId; }
        public SaveConfigurationData setSelectedProfileId(String value) { this.SelectedProfileId = value; return this; }
    }

}

Java SaveConfigurationMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/Analytics/SaveConfiguration HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<SaveConfigurationMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
  <AccountId>String</AccountId>
  <AccountName>String</AccountName>
  <ClientId>String</ClientId>
  <ClientSecret>String</ClientSecret>
  <PrependHost>false</PrependHost>
  <ProfileId>String</ProfileId>
  <SiteId>00000000-0000-0000-0000-000000000000</SiteId>
  <TrackedDomain>String</TrackedDomain>
  <UseEquals>false</UseEquals>
  <WebPropertyId>String</WebPropertyId>
</SaveConfigurationMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<SaveConfigurationData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
  <ClientId>String</ClientId>
  <ClientSecret>String</ClientSecret>
  <SelectedAccount>String</SelectedAccount>
  <SelectedProfileId>String</SelectedProfileId>
  <TrackedDomain>String</TrackedDomain>
  <TrackingCode>String</TrackingCode>
</SaveConfigurationData>